<%@ Page Language="VB" ResponseEncoding="iso-8859-1" %>
<%@ Register TagPrefix="Rico" Assembly="Rico" NameSpace="Rico" %>
<%@ Register TagPrefix="My" TagName="dbLib" Src="dbConnect.ascx" %>
<My:dbLib id='app' runat='server' />

<script runat="server">

Sub Page_Load(Sender As object, e As EventArgs)
  Session.Timeout=60
  app.OpenGrid(ex2notheme)
End Sub

</script>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>Rico LiveGrid-Example 2</title>

<Rico:LoadClient id='RicoClient' checkQueryString='notheme' runat='server' />
<link href="../demo.css" type="text/css" rel="stylesheet" />

</head>
<body>

<div id='explanation'>
Base Library: 
<script type='text/javascript'>
document.write(Rico.Lib+' '+Rico.LibVersion);
</script>
<hr>
This example shows how the entire grid can be customized by disabling the regular themes.
Here we have specified:<ul>
<li>A default heading style (white text on a black background)
<li>Selected a custom heading style for the date columns
<li>Selected a custom hover style (when you hover over the headings)
<li>Selected a custom style for the date column data (red text)
<li>Selected a custom row highlight when you click on a row (yellow background)
<li>Specifed that ship information have a blue background when the ship country is France, and a red background when the ship country is Switzerland.
</ul>
Notice that when you export to Excel, styles and number formats get copied into the Excel file!
One caveat: specifying a font color for a the heading cell only works when the grid's HdgHoverStyleId is set.
Click on a cell to see available actions.
</div>

<Rico:LiveGrid runat='server' id='ex2notheme' fmt="json" DefaultSort='OrderID' menuEvent='click' frozenColumns='1' HdgHoverStyleId="GrayText" highlightElem='cursorRow'>
  <Rico:Style runat='server' StyleID='DefaultHdg' BackColor="black" ForeColor="white" HorizontalAlign="center" />
  <Rico:Style runat='server' StyleID='RedHdg' BackColor="red" ForeColor="white" HorizontalAlign="center" />
  <Rico:Style runat='server' StyleID='GrayText' ForeColor="#dddddd" />
  <Rico:Style runat='server' StyleID='ricoLG_oddRow' BackColor="#eeeeee" />
  <Rico:Style runat='server' StyleID='ricoLG_selection' BackColor="yellow" />
  
  <Rico:Table runat='server' TblName='orders' />
  <Rico:TableCol runat='server' ColName='OrderID' heading='Order#' width='60' />
  <Rico:TableCol runat='server' ColName='CustomerID' heading='Cust#' width='60' />
  <Rico:TableCol runat='server' ColName='ShipName' heading='Ship Name' width='150' CellStyleColID='Country' />
  <Rico:TableCol runat='server' ColName='ShipCity' heading='Ship City' width='120' CellStyleColID='Country' />
  <Rico:TableCol runat='server' ColName='ShipCountry' heading='Ship Country' width='90' id='Country' CellStyleColID='Country' >
    <Rico:Style runat='server' StyleID='France' BackColor="blue" ForeColor="white" />
    <Rico:Style runat='server' StyleID='Switzerland' BackColor="red" ForeColor="white" />
  </Rico:TableCol>
  <Rico:TableCol runat='server' ColName='OrderDate' heading='Order Date' datatype='date' width='100' HdgStyleId='RedHdg' ForeColor='red' dateFmt='d mmm yyyy' />
  <Rico:TableCol runat='server' ColName='ShippedDate' heading='Ship Date' datatype='date' width='100' HdgStyleId='RedHdg' ForeColor='red' dateFmt='d mmm yyyy' />
</Rico:LiveGrid>

</body>
</html>
